ColumnVector.Type (Hive Storage API 2.1.1-pre-orc API)
Date: 2016-10-19

org.apache.hadoop.hive.ql.exec.vector

## Enum ColumnVector.Type

- java.lang.Object
- - java.lang.Enum<ColumnVector.Type>
  - - org.apache.hadoop.hive.ql.exec.vector.ColumnVector.Type

- All Implemented Interfaces:
    Serializable, Comparable<ColumnVector.Type>
  Enclosing class:
    ColumnVector

      public static enum ColumnVector.Type
      extends Enum<ColumnVector.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BYTES`
    `DECIMAL`
    `DOUBLE`
    `INTERVAL_DAY_TIME`
    `LIST`
    `LONG`
    `MAP`
    `NONE`
    `STRUCT`
    `TIMESTAMP`
    `UNION`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ColumnVector.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ColumnVector.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ColumnVector.Type NONE

    - #### LONG

          public static final ColumnVector.Type LONG

    - #### DOUBLE

          public static final ColumnVector.Type DOUBLE

    - #### BYTES

          public static final ColumnVector.Type BYTES

    - #### DECIMAL

          public static final ColumnVector.Type DECIMAL

    - #### TIMESTAMP

          public static final ColumnVector.Type TIMESTAMP

    - #### INTERVAL_DAY_TIME

          public static final ColumnVector.Type INTERVAL_DAY_TIME

    - #### STRUCT

          public static final ColumnVector.Type STRUCT

    - #### LIST

          public static final ColumnVector.Type LIST

    - #### MAP

          public static final ColumnVector.Type MAP

    - #### UNION

          public static final ColumnVector.Type UNION

  - ### Method Detail

    - #### values

          public static ColumnVector.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ColumnVector.Type c : ColumnVector.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ColumnVector.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 The Apache Software Foundation. All rights reserved.